local battery_accumulator = {
  ["accumulator"] = true,
}

local capacitor_accumulator = {
  ["accumulator-capacitor"] = true,
}

script.on_init(function()
  if global["accumulators"] == nil then
    global["accumulators"] = {}
  end
end)

script.on_configuration_changed(function()
  if global["accumulators"] == nil then
    global["accumulators"] = {}
  end
end)

script.on_event(defines.events.on_built_entity, BuiltEntity)
script.on_event(defines.events.on_robot_built_entity, BuiltEntity)
script.on_event(defines.events.on_preplayer_mined_item , MinedEntity)
script.on_event(defines.events.on_entity_died , MinedEntity)
script.on_event(defines.events.on_robot_pre_mined  , MinedEntity)


function my_on_tick()
	if game.tick % 300 == 0 then
		for _, struct in pairs(global["accumulators"]) do
			local stored_energy = struct.accumulator.energy
			local max_stored_energy = struct.accumulator.electric_buffer_size
			local max_drain = struct.drain.electric_input_flow_limit
			local drain = max_drain * (stored_energy/max_stored_energy)
			struct.drain.electric_drain = drain
		end
	end
end
script.on_event(defines.events.on_tick, my_on_tick)
